<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/printmatinfo.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>printmatinfo.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for printmatinfo.c:</div>
<div class="dynsection">
<div class="center"><img src="printmatinfo_8c__incl.png" border="0" usemap="#util_2printmatinfo_8c_map" alt=""/></div>
<map name="util_2printmatinfo_8c_map" id="util_2printmatinfo_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="printmatinfo_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064">PrintMatInfo</a> (Mat A, MatInfoType flag)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f">PrintMatInfoAll</a> (Mat A)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ad26766c91dfc88c559fd736d1bb6e064"></a><!-- doxytag: member="printmatinfo.c::PrintMatInfo" ref="ad26766c91dfc88c559fd736d1bb6e064" args="(Mat A, MatInfoType flag)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PrintMatInfo </td>
          <td>(</td>
          <td class="paramtype">Mat&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MatInfoType&nbsp;</td>
          <td class="paramname"> <em>flag</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="printmatinfo_8c_source.html#l00028">28</a> of file <a class="el" href="printmatinfo_8c_source.html">printmatinfo.c</a>.</p>

<p>References <a class="el" href="gmshtoucd_8py_source.html#l00202">gmshtoucd::info()</a>.</p>

<p>Referenced by <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_cgraph.png" border="0" usemap="#printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_cgraph_map" alt=""></div>
<map name="printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_cgraph_map" id="printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_cgraph">
<area shape="rect" id="node3" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="147,5,261,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_icgraph.png" border="0" usemap="#printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_icgraph_map" alt=""></div>
<map name="printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_icgraph_map" id="printmatinfo_8c_ad26766c91dfc88c559fd736d1bb6e064_icgraph">
<area shape="rect" id="node3" href="util_8h.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="148,367,255,398"/><area shape="rect" id="node5" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="312,315,379,346"/><area shape="rect" id="node7" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="439,263,532,294"/><area shape="rect" id="node56" href="util_8h.html#a7613b5168812007047e19cf17cc3efa1" title="CalAfe2fe" alt="" coords="307,470,384,501"/><area shape="rect" id="node58" href="util_8h.html#ad3e7b439709d947546efecaf99da3759" title="CalAfe2sq" alt="" coords="709,470,792,501"/><area shape="rect" id="node83" href="util_8h.html#a8f05188956349e674ebab809a737d8f4" title="CalAsq2fe" alt="" coords="304,523,387,554"/><area shape="rect" id="node86" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="435,183,536,214"/><area shape="rect" id="node92" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="441,366,529,397"/><area shape="rect" id="node9" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="588,134,657,165"/><area shape="rect" id="node11" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="728,109,773,139"/><area shape="rect" id="node46" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="841,5,943,35"/><area shape="rect" id="node13" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="851,187,933,218"/><area shape="rect" id="node17" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1685,366,1744,397"/><area shape="rect" id="node42" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1525,466,1611,497"/><area shape="rect" id="node52" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="1005,109,1075,139"/><area shape="rect" id="node15" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1504,318,1632,349"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="1347,215,1424,246"/><area shape="rect" id="node29" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="993,162,1087,193"/><area shape="rect" id="node21" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1688,493,1741,523"/><area shape="rect" id="node19" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1792,417,1843,447"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1505,214,1631,245"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1165,109,1243,139"/><area shape="rect" id="node36" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1157,162,1251,193"/><area shape="rect" id="node33" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1320,58,1451,89"/><area shape="rect" id="node38" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1359,162,1412,193"/><area shape="rect" id="node48" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="1136,5,1272,35"/><area shape="rect" id="node60" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="841,523,943,554"/><area shape="rect" id="node78" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="844,470,940,501"/><area shape="rect" id="node62" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="997,523,1083,554"/><area shape="rect" id="node64" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="1169,470,1239,501"/><area shape="rect" id="node66" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="1499,519,1637,550"/><area shape="rect" id="node73" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="1340,623,1431,654"/><area shape="rect" id="node80" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="1001,470,1079,501"/><area shape="rect" id="node88" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="585,81,660,111"/><area shape="rect" id="node94" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="588,366,657,397"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8c62a6053be02438e1bf2da1efa06f1f"></a><!-- doxytag: member="printmatinfo.c::PrintMatInfoAll" ref="a8c62a6053be02438e1bf2da1efa06f1f" args="(Mat A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PrintMatInfoAll </td>
          <td>(</td>
          <td class="paramtype">Mat&nbsp;</td>
          <td class="paramname"> <em>A</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="printmatinfo_8c_source.html#l00092">92</a> of file <a class="el" href="printmatinfo_8c_source.html">printmatinfo.c</a>.</p>

<p>References <a class="el" href="gmshtoucd_8py_source.html#l00202">gmshtoucd::info()</a>, and <a class="el" href="printmatinfo_8c_source.html#l00028">PrintMatInfo()</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_cgraph.png" border="0" usemap="#printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_cgraph_map" alt=""></div>
<map name="printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_cgraph_map" id="printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_cgraph">
<area shape="rect" id="node3" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="304,5,419,35"/><area shape="rect" id="node5" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="163,30,256,61"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_icgraph.png" border="0" usemap="#printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_icgraph_map" alt=""></div>
<map name="printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_icgraph_map" id="printmatinfo_8c_a8c62a6053be02438e1bf2da1efa06f1f_icgraph">
<area shape="rect" id="node3" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="171,315,237,346"/><area shape="rect" id="node5" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="297,263,391,294"/><area shape="rect" id="node54" href="util_8h.html#a7613b5168812007047e19cf17cc3efa1" title="CalAfe2fe" alt="" coords="165,470,243,501"/><area shape="rect" id="node56" href="util_8h.html#ad3e7b439709d947546efecaf99da3759" title="CalAfe2sq" alt="" coords="568,470,651,501"/><area shape="rect" id="node81" href="util_8h.html#a8f05188956349e674ebab809a737d8f4" title="CalAsq2fe" alt="" coords="163,523,245,554"/><area shape="rect" id="node84" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="293,183,395,214"/><area shape="rect" id="node90" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="300,366,388,397"/><area shape="rect" id="node7" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="447,134,516,165"/><area shape="rect" id="node9" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="587,109,632,139"/><area shape="rect" id="node44" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="700,5,801,35"/><area shape="rect" id="node11" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="709,187,792,218"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1544,366,1603,397"/><area shape="rect" id="node40" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1384,466,1469,497"/><area shape="rect" id="node50" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="864,109,933,139"/><area shape="rect" id="node13" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1363,318,1491,349"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="1205,215,1283,246"/><area shape="rect" id="node27" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="852,162,945,193"/><area shape="rect" id="node19" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1547,493,1600,523"/><area shape="rect" id="node17" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1651,417,1701,447"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1364,214,1489,245"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1024,109,1101,139"/><area shape="rect" id="node34" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1016,162,1109,193"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1179,58,1309,89"/><area shape="rect" id="node36" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1217,162,1271,193"/><area shape="rect" id="node46" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="995,5,1131,35"/><area shape="rect" id="node58" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="700,523,801,554"/><area shape="rect" id="node76" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="703,470,799,501"/><area shape="rect" id="node60" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="856,523,941,554"/><area shape="rect" id="node62" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="1028,470,1097,501"/><area shape="rect" id="node64" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="1357,519,1496,550"/><area shape="rect" id="node71" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="1199,623,1289,654"/><area shape="rect" id="node78" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="860,470,937,501"/><area shape="rect" id="node86" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="444,81,519,111"/><area shape="rect" id="node92" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="447,366,516,397"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

